package com.cusc.nirvana.user.rnr.openapi.service;

import com.cusc.nirvana.common.result.Response;
import com.cusc.nirvana.user.rnr.openapi.dto.QueryRnAuthDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.VinDTO;
import com.cusc.nirvana.user.rnr.openapi.dto.response.RnAuthInfoRsp;
import com.cusc.nirvana.user.rnr.openapi.dto.response.RnAuthStateRsp;
import org.springframework.web.bind.annotation.RequestBody;

import javax.validation.Valid;
import java.util.List;

/**
 * @author yubo
 * @since 2022-06-09 11:04
 */
public interface IRnrAuthSearchService {
    Response<List<RnAuthInfoRsp>> getRnrInfoByVin(VinDTO vinDTO);

    Response<RnAuthStateRsp> getRnAuthState(QueryRnAuthDTO queryRnAuthDTO);
}

