package com.cusc.nirvana.user.rnr.openapi.exception;

import com.cusc.nirvana.web.exception.AppGlobalException;

/**
 * 自定义异常
 *
 * @author tangjw
 */
public class RnrOpenApiException extends AppGlobalException {

    private static final long serialVersionUID = 1L;

    public RnrOpenApiException(String message) {
        super(message);
    }

    public RnrOpenApiException(String message, Integer code) {
        super(code, message);
    }


    public RnrOpenApiException(Integer code, String msg) {
        super(code, msg);
    }

    public RnrOpenApiException(String msg, Throwable cause) {
        super(msg, cause);
    }

    public RnrOpenApiException(Integer code, String msg, Throwable cause) {
        super(code, msg, cause);
    }


}
